[PATCH] osmo-gsm-tester[master]: add jenkins-make-check-and-run.sh

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

Neels Hofmeyr gerrit-no-reply at lists.osmocom.org
Wed Sep 13 22:13:34 UTC 2017


Review at  https://gerrit.osmocom.org/3936

add jenkins-make-check-and-run.sh

Change-Id: I493142bb4cd6c0465e34b4171461d28455315ef4
---
A contrib/jenkins-make-check-and-run.sh
1 file changed, 14 insertions(+), 0 deletions(-)


  git pull ssh://gerrit.osmocom.org:29418/osmo-gsm-tester refs/changes/36/3936/1

diff --git a/contrib/jenkins-make-check-and-run.sh b/contrib/jenkins-make-check-and-run.sh
new file mode 100755
index 0000000..3017fd4
--- /dev/null
+++ b/contrib/jenkins-make-check-and-run.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+set -e -x
+base="$PWD"
+
+run_script="osmo-gsm-tester/contrib/jenkins-run.sh"
+test -x "$run_script"
+
+cd osmo-gsm-tester
+make deps
+make check
+cd "$base"
+
+PATH="$base/osmo-gsm-tester/src:$PATH" \
+  "$run_script"

-- 
To view, visit https://gerrit.osmocom.org/3936
To unsubscribe, visit https://gerrit.osmocom.org/settings

Gerrit-MessageType: newchange
Gerrit-Change-Id: I493142bb4cd6c0465e34b4171461d28455315ef4
Gerrit-PatchSet: 1
Gerrit-Project: osmo-gsm-tester
Gerrit-Branch: master
Gerrit-Owner: Neels Hofmeyr <nhofmeyr at sysmocom.de>



More information about the gerrit-log mailing list